import request from '@/utils/request'

// 查询字典类型列表
export function abTypeList (params) {
  return request({
    url: '/abtest/type-dict/page',
    method: 'get',
    params
  })
}

// 新增字典类型
export function createABclass (params) {
  return request({
    url: '/abtest/type-dict/create',
    method: 'post',
    data: params
  })
}

// 删除字典类型
export function removeABclass (params) {
  return request({
    url: '/abtest/type-dict/delete',
    method: 'delete',
    params
  })
}

// 编辑字典类型
export function editABclass (params) {
  return request({
    url: '/abtest/type-dict/update',
    method: 'put',
    data:params
  })
}